/*++++++++++++++
.IDENTIFICATION strut.h
.LANGUAGE       C
.AUTHOR         Francois Ochsenbein [CDS]
.ENVIRONMENT    Unix, CDS Catalogues
.KEYWORDS       Description of a Table
.VERSION  1.0   17-Mar-2006: extracted from catstd.h
.COMMENTS       Interpretation of the "ReadMe" file of Catalogues
---------------*/

#ifndef STRUT_DEF	/* To avoid recursive inclusions   */
#define STRUT_DEF	0

#ifndef _ARGS
#ifdef __STDC__
#define _ARGS(A)	A       /* ANSI */
#else
#define _ARGS(A)	()      /* Traditional */
#define const
#endif
#endif

/*==================================================================
		Routine declarations
 *==================================================================*/

#define strdiff	strcmp	/* It's actually a difference between 2 strings */

/* from "strut.c" */
int       str1 _ARGS((char *string, char *out_byte));	/* Interpret \-seq */
int     strloc _ARGS((char *text, int c));	/* Locate a given char.    */
int    strbloc _ARGS((char *text, int c));	/* Locate backwards a char */
int strbracket _ARGS((char *text));		/* {([<  --Locate--  >])} */
int   strmatch _ARGS((char *template, char *name));
int   stumatch _ARGS((char *template, char *name));/* case-insensitive */
char  *strdup2 _ARGS((char *s1, char *s2));	/* Concatenation & strdup  */
char  *strdup3 _ARGS((char *s1, char *s2, char *s3));
char  *strdupn _ARGS((char *s1, int len));	/* Duplicate part of str.  */
char  *strdupv _ARGS((char **argv));		/* Concatenation & strdup  */
int    strumb1 _ARGS((char *text));		/* Convert multi-byte chars*/
#endif			/* End of STRUT_DEF */
